<div class="tracker-main">
    <nav class="menu-nav">
        <mat-accordion>
            <ng-container *ngIf="specializations$ | async else loading">
                <ng-container *ngIf="(specializations$ | async)?.length>0; else specializationsEmpty">
                    <ng-container *ngFor="let specialization of specializations$ | async">
                        <mat-expansion-panel (opened)="loadSeniorities(specialization)">            
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                {{specialization.name}}
                                </mat-panel-title>
                                <button mat-icon-button class="white-icon" aria-label="Edit" matTooltip="edit" 
                                        (click)="editSpecialization($event, specialization)">
                                    <mat-icon>edit</mat-icon>
                                </button> 
                                <button mat-icon-button class="white-icon" aria-label="Edit" matTooltip="delete"
                                        (click)="deleteSpecialization($event, specialization)">
                                    <mat-icon>delete</mat-icon>
                                </button>                
                            </mat-expansion-panel-header>
                            <ng-container *ngIf="openSpecialization === specialization">
                                <button mat-raised-button class="seniority-button"  
                                        *ngFor="let seniority of seniorities$ | async" 
                                        (click)="loadCompetencyGroups(specialization, seniority)">
                                    <p>{{seniority.name}}</p>
                                </button>
                            </ng-container>
                            <div class="mt-2">
                                <button mat-fab matTooltip="add seniority" class="white-background add-seniority-button"
                                        (click)="addSeniority($event)">
                                    <mat-icon>add</mat-icon>
                                </button>
                            </div>
                        </mat-expansion-panel>
                    </ng-container>
                </ng-container>
            </ng-container>
            <ng-template #loading>
                <mat-spinner class="loading-spinner"></mat-spinner>
            </ng-template>
            <ng-template #specializationsEmpty>
                <p class="ml-2 white-text">Specializations empty</p>
            </ng-template>
           
            <button mat-fab aria-label="Add" class="white-background add-specialization-button" matTooltip="add specialization"
                    (click)="addSpecialization($event)">
                <mat-icon>add</mat-icon>
            </button>
        </mat-accordion>
    </nav>
    <div class="mr-3 tracker-content">
        <div class="ml-5 mt-5" *ngIf="openCompetency">
            <h1>{{displaySpecialization.name}}&nbsp;{{displaySeniority.name}}</h1>
        </div>
        <div class="ml-5 mb-2">
            <button mat-mini-fab class="black-icon" *ngIf="openCompetency" matTooltip="add group"
                    (click)="addGroup($event)">
                    <mat-icon>add</mat-icon>
            </button>
            <button mat-mini-fab class="black-icon" *ngIf="openGroup" matTooltip="delete open group"
                    (click)="deleteGroup($event, openGroup)">
                    <mat-icon>delete</mat-icon>
            </button>
        </div>
        <mat-tab-group class="groups-tab-group">
            <mat-tab *ngFor="let group of loadedGroups$ | async" label={{group.name}}>
               <ng-template mat-tab-label>
                    <p (click)="loadTopics(group)">{{group.name}}</p>
                </ng-template>
                <ng-container *ngFor="let topic of loadedTopics$ | async">
                    <div class="m-2">
                        <app-topic [topic]="topic" (changed)="loadTopics(openGroup)"></app-topic> 
                    </div>                      
                </ng-container>                
                <button mat-fab *ngIf="openGroup" class="black-icon" matTooltip="add topic"
                        (click)="addTopic($event, group)">
                    <mat-icon>add</mat-icon>
                </button>
            </mat-tab>                   
        </mat-tab-group>
    </div>
</div>
